[pkg-dhcp-commits] [SCM] ISC DHCP packaging for Debian branch, master, updated. debian/4.1.0-1-15-g39c6fcb

Andrew Pollock apollock at icarus.andrew.net.au
Mon Jul 13 03:21:09 UTC 2009


The following commit has been merged in the master branch:
commit e5896e3add1a5218c54d039441ecdac90236b0bc
Author: Andrew Pollock <apollock at icarus.andrew.net.au>
Date:   Sun Jul 12 17:23:39 2009 -0700

    Remove more references to "3" from the maintainer scripts

diff --git a/debian/isc-dhcp-client.postinst b/debian/isc-dhcp-client.postinst
index 00f4afc..36f1f75 100644
--- a/debian/isc-dhcp-client.postinst
+++ b/debian/isc-dhcp-client.postinst
@@ -8,11 +8,11 @@
 
 case "$1" in
     configure)
-        if [ ! -e /var/lib/dhcp3/dhclient.leases ]; then
-            if test -e /var/lib/dhcp/dhclient.leases; then
-                cp /var/lib/dhcp/dhclient.leases /var/lib/dhcp3/dhclient.leases
+        if [ ! -e /var/lib/dhcp/dhclient.leases ]; then
+            if test -e /var/lib/dhcp3/dhclient.leases; then
+                cp /var/lib/dhcp3/dhclient.leases /var/lib/dhcp/dhclient.leases
             else
-                touch /var/lib/dhcp3/dhclient.leases
+                touch /var/lib/dhcp/dhclient.leases
             fi
         fi
 
@@ -26,10 +26,6 @@ case "$1" in
 		fi
 	fi
 
-	if [ -e /etc/dhcp3/dhclient.conf.oldconfig ]; then
-		mv /etc/dhcp3/dhclient.conf.oldconfig /etc/dhcp3/dhclient.conf
-	fi
-
         ;;
 
     abort-upgrade|abort-remove|abort-deconfigure)
diff --git a/debian/isc-dhcp-client.postrm b/debian/isc-dhcp-client.postrm
index 9740e8b..88d1232 100644
--- a/debian/isc-dhcp-client.postrm
+++ b/debian/isc-dhcp-client.postrm
@@ -5,17 +5,14 @@
 
 if [ "$1" = "purge" ]; then
 	# Remove lease database
-	rm -f /var/lib/dhcp3/dhclient.leases*
+	rm -f /var/lib/dhcp/dhclient.leases*
 
 	# Try to remove directory
-	if [ -d /var/lib/dhcp3 ]; then
-		rmdir --ignore-fail-on-non-empty /var/lib/dhcp3/
+	if [ -d /var/lib/dhcp ]; then
+		rmdir --ignore-fail-on-non-empty /var/lib/dhcp/
 	fi
 
-	if [ -e /etc/dhcp3/dhclient-script ]; then
-		rm /etc/dhcp3/dhclient-script
-		rmdir --ignore-fail-on-non-empty /etc/dhcp3
-	fi
+	rmdir --ignore-fail-on-non-empty /etc/dhcp
 
 fi
 
diff --git a/debian/isc-dhcp-server.postinst b/debian/isc-dhcp-server.postinst
index 7c7ddb0..79b4eb1 100644
--- a/debian/isc-dhcp-server.postinst
+++ b/debian/isc-dhcp-server.postinst
@@ -25,7 +25,7 @@ esac
 # Handle debconf
 . /usr/share/debconf/confmodule
 
-INITCONFFILE=/etc/default/dhcp3-server
+INITCONFFILE=/etc/default/isc-dhcp-server
 
 # We generate several files during the postinst, and we don't want
 #	them to be readable only by root.
@@ -37,7 +37,7 @@ umask 022
 	cat >${INITCONFFILE} <<'EOFMAGICNUMBER1234'
 # Defaults for dhcp initscript
 # sourced by /etc/init.d/dhcp
-# installed at /etc/default/dhcp3-server by the maintainer scripts
+# installed at /etc/default/isc-dhcp-server by the maintainer scripts
 
 #
 # This is a POSIX shell fragment
@@ -51,7 +51,7 @@ EOFMAGICNUMBER1234
 
 # ------------------------- Debconf questions start ---------------------
 
-db_get dhcp3-server/interfaces || true
+db_get isc-dhcp-server/interfaces || true
 INTERFACES="${RET}"
 
 TMPFILE=`mktemp -q ${INITCONFFILE}.new.XXXXXX`
@@ -62,15 +62,15 @@ rm ${TMPFILE}
 
 # ------------------------- Debconf questions end ---------------------
 
-if [ ! -e /var/lib/dhcp3/dhcpd.leases ]; then
-    if test -e /var/lib/dhcp/dhcpd.leases; then
-        cp /var/lib/dhcp/dhcpd.leases /var/lib/dhcp3/dhcpd.leases
+if [ ! -e /var/lib/dhcp/dhcpd.leases ]; then
+    if test -e /var/lib/dhcp3/dhcpd.leases; then
+        cp /var/lib/dhcp3/dhcpd.leases /var/lib/dhcp/dhcpd.leases
     else
-	touch /var/lib/dhcp3/dhcpd.leases
+	touch /var/lib/dhcp/dhcpd.leases
     fi
 fi
 
-[ -x /sbin/restorecon ] && restorecon /var/lib/dhcp3/dhcpd.leases
+[ -x /sbin/restorecon ] && restorecon /var/lib/dhcp/dhcpd.leases
 
 # If we're upgrading from something before 3.0.2-1 we need to move
 # the symlinks in /etc/rc?.d because we want to fix #292357 for existing
diff --git a/debian/isc-dhcp-server.preinst b/debian/isc-dhcp-server.preinst
index 6e12610..51c7fe0 100644
--- a/debian/isc-dhcp-server.preinst
+++ b/debian/isc-dhcp-server.preinst
@@ -4,10 +4,6 @@ set -e
 
 case "$1" in
     install|upgrade)
-        if [ ! -e /etc/dhcp3/dhcpd.conf ] && [ -e /etc/dhcpd.conf ]; then
-            mkdir -p /etc/dhcp3
-            cp /etc/dhcpd.conf /etc/dhcp3/dhcpd.conf
-        fi
         ;;
 
     abort-upgrade)
diff --git a/debian/rules b/debian/rules
index d7dee6d..ed166c4 100755
--- a/debian/rules
+++ b/debian/rules
@@ -7,9 +7,9 @@
 #export DH_VERBOSE=1
 
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-
 DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
 else
@@ -75,7 +75,6 @@ install-stamp: build-stamp
 	# Install dhcp-client's conffiles.
 	$(INSTALL_FILE) -m 644 debian/dhclient.conf $(DESTDIR)/etc/dhcp
 
-
 	# udeb needs simplified dhclient script
 	$(INSTALL_FILE) -m 755 `pwd`/debian/dhclient-script.udeb \
 		`pwd`/debian/isc-dhcp-client-udeb/sbin/dhclient-script

-- 
ISC DHCP packaging for Debian



More information about the pkg-dhcp-commits mailing list